

Use the new remap_pfn_range().  (Current mainline kernels retain the legacy
remap_page_range() wrapper, but -mm has removed it altogether to pick up
instances such as this).


Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/char/mem.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff -puN drivers/char/mem.c~mem-remap_page_range-fix drivers/char/mem.c
--- 25/drivers/char/mem.c~mem-remap_page_range-fix	2004-10-21 02:44:16.000000000 -0700
+++ 25-akpm/drivers/char/mem.c	2004-10-21 10:09:06.020603360 -0700
@@ -210,8 +210,8 @@ static int mmap_mem(struct file * file, 
 	if (uncached)
 		vma->vm_flags |= VM_IO;
 
-	if (remap_page_range(vma, vma->vm_start, offset, vma->vm_end-vma->vm_start,
-			     vma->vm_page_prot))
+	if (remap_pfn_range(vma, vma->vm_start, vma->vm_pgoff,
+				vma->vm_end-vma->vm_start, vma->vm_page_prot))
 		return -EAGAIN;
 	return 0;
 }
_
